--- lvm.SlackBuild	2006-04-03 20:37:12.000000000 -0400
+++ lvm.SlackBuild.s390x	2006-09-08 00:19:24.000000000 -0400
@@ -2,9 +2,9 @@
 CWD=`pwd`
 PKG=/tmp/package-lvm
 
-VERSION=1.0.8
-ARCH=i486
-BUILD=1
+VERSION=${VERSION:-1.0.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
 
 rm -rf $PKG
 mkdir -p $PKG
@@ -17,11 +17,14 @@
 chown -R root:root .
 ( cd $VERSION
   zcat $CWD/lvm.nodebug.diff.gz | patch -p2 --verbose --backup --suffix=.orig
+  # This is to get around a compiler error that seems to have been elevated from just a warning previously
+  cat $CWD/pv_read_all_pv_of_vg.c.diff | patch -p2 --backup --suffix=.orig || exit 1
 )
 cd $VERSION
-CFLAGS=-O ./configure --prefix=/ --mandir=/usr/man
+CFLAGS=-O ./configure --prefix=/ --mandir=/usr/man --libdir='${exec_prefix}/lib64'
 make
 make install DESTDIR=$PKG
+chown -R root:bin $PKG/sbin
 gzip -9 $PKG/usr/man/man?/*.?
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -35,6 +38,7 @@
   $PKG/usr/doc/lvm_$VERSION
 # Not useful enough for its size.
 rm -f $PKG/lib/liblvm-10.a
+rmdir $PKG/lib
 # This seems to be done now :)
 #rm -f $PKG/lib/liblvm-10.so
 #rm -f $PKG/usr/lib/liblvm-10.so
